Inbox
Customer conversations: read, start, assign, change status and send messages.
- GET
/inbox/summary - GET
/inbox/conversations - POST
/inbox/conversations - GET
/inbox/conversations/{id} - PATCH
/inbox/conversations/{id} - GET
/inbox/conversations/{id}/messages - POST
/inbox/conversations/{id}/messages - GET
/inbox/search - GET
/inbox/contacts/{id} - POST
/inbox/conversations/{id}/notes
Get the inbox summary
GET
/inbox/summaryScope
inbox:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/summary" \ -H "Authorization: Bearer $KLERC_TOKEN"List inbox conversations
GET
/inbox/conversationsScope
inbox:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/conversations" \ -H "Authorization: Bearer $KLERC_TOKEN"Start a conversation
POST
/inbox/conversationsScope
inbox:sendWrites dataResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/inbox/conversations" \ -H "Authorization: Bearer $KLERC_TOKEN"Get a conversation
GET
/inbox/conversations/{id}Scope
inbox:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/conversations/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a conversation (status/assignee/…)
PATCH
/inbox/conversations/{id}Scope
inbox:sendWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/inbox/conversations/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"List messages in a conversation
GET
/inbox/conversations/{id}/messagesScope
inbox:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Query parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/conversations/{id}/messages?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"Send a message in a conversation
POST
/inbox/conversations/{id}/messagesScope
inbox:sendWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
text | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/inbox/conversations/{id}/messages" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"text":"…"}'Search the inbox
GET
/inbox/searchScope
inbox:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/search" \ -H "Authorization: Bearer $KLERC_TOKEN"Get a contact panel
GET
/inbox/contacts/{id}Scope
inbox:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/inbox/contacts/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Add an internal note to a conversation
POST
/inbox/conversations/{id}/notesScope
inbox:sendWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/inbox/conversations/{id}/notes" \ -H "Authorization: Bearer $KLERC_TOKEN"